EvWatcher
EvWatcher::__construct
EvWatcher
PHP Manual

# EvWatcher::clear

Clear watcher pending status

### Description

public int EvWatcher::clear ( void )

If the watcher is pending, this method clears its pending status and returns its revents bitset(as if its callback was invoked). If the watcher isn't pending it does nothing and returns `0` .

Sometimes it can be useful to "poll" a watcher instead of waiting for its callback to be invoked, which can be accomplished with this function.

### Parameters

This function has no parameters.

### Return Values

In case if the watcher is pending, returns revents bitset as if the watcher callback had been invoked. Otherwise returns `0` .